import request from '@/utils/request'

// 查询举报地图列表
export function listJbmap(query) {
  return request({
    url: '/tcZz/netManage/jbmap/list',
    method: 'get',
    params: query
  })
}

// 查询举报地图详细
export function getJbmap(id) {
  return request({
    url: '/tcZz/netManage/jbmap/' + id,
    method: 'get'
  })
}

// 新增举报地图
export function addJbmap(data) {
  return request({
    url: '/tcZz/netManage/jbmap',
    method: 'post',
    data: data
  })
}

// 修改举报地图
export function updateJbmap(data) {
  return request({
    url: '/tcZz/netManage/jbmap',
    method: 'put',
    data: data
  })
}

// 删除举报地图
export function delJbmap(id) {
  return request({
    url: '/tcZz/netManage/jbmap/' + id,
    method: 'delete'
  })
}
