import request from '@/utils/request'

// 查询B站、小红书列表
export function listBzhan(query) {
  return request({
    url: '/tcZz/netManage/bzhan/list',
    method: 'get',
    params: query
  })
}

// 查询B站、小红书详细
export function getBzhan(id) {
  return request({
    url: '/tcZz/netManage/bzhan/' + id,
    method: 'get'
  })
}

// 新增B站、小红书
export function addBzhan(data) {
  return request({
    url: '/tcZz/netManage/bzhan',
    method: 'post',
    data: data
  })
}

// 修改B站、小红书
export function updateBzhan(data) {
  return request({
    url: '/tcZz/netManage/bzhan',
    method: 'put',
    data: data
  })
}

// 删除B站、小红书
export function delBzhan(id) {
  return request({
    url: '/tcZz/netManage/bzhan/' + id,
    method: 'delete'
  })
}
